Make Foreman Containerizable
Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1679776 Red Hat JIRA:  

Pull request:    

Description

Currently, it's completely unclear how to install TheForeman in a container.  Parts of the setup, like the use of proxies to enable the

Foreman UI, defy the ability to treat TheForeman as a service answering on a specific port.

TheForeman needs to be installable in a container because it's the only way to support a reasonable number of platforms.  For

example, there is no support for the current version of Fedora.  In the future, many servers will not support installing applications on

the base OS or changing network configurations, and will require installation via container.

I'm opening this issue in order to collect ideas about what needs to change in TheForeman to make installing it in a container

possible.  Willing to help with packaging once we get that far, but I know very little about Foreman's internals.

Subtasks:

Refactor # 26741: Add a dockerfile for foreman Closed

Related issues:

Blocked by Smart Proxy - Feature #27308: add dockerfile to smart proxy New

History

#1 - 02/28/2017 08:27 PM - Josh Berkus

- Tracker changed from Bug to Refactor

#2 - 03/01/2017 04:48 AM - Ohad Levy

First of all, I'm very happy you opened this issue - thanks!

I just wanted to bring awareness to https://github.com/shlomizadok/foreman-docker-compose which was an initial attempt to get multiple containers

representing foreman.

Of course - the more components (puppet, remote execution, scap, discovery, katello etc) the harder the solution is..

there are also a few pending PR on that repo that got stuck at some point in time.

feedback welcomed.

Ohad

#3 - 03/09/2017 03:00 PM - Josh Berkus

Ohad Levy wrote:

First of all, I'm very happy you opened this issue - thanks!

I just wanted to bring awareness to https://github.com/shlomizadok/foreman-docker-compose which was an initial attempt to get multiple

containers representing foreman.

Of course - the more components (puppet, remote execution, scap, discovery, katello etc) the harder the solution is..

there are also a few pending PR on that repo that got stuck at some point in time.

feedback welcomed.

Ohad
 So ... I have never successfully installed Foreman before anywhere.  So figuring out what's wrong with the containerized install is prohibitively difficult

for me.  I'm happy to test stuff if someone has something in reasonable working condition, but I can't do anything about known broken code.

#4 - 03/09/2017 03:03 PM - Josh Berkus

Josh Berkus wrote:

So ... I have never successfully installed Foreman before anywhere.  So figuring out what's wrong with the containerized install is prohibitively

difficult for me.  I'm happy to test stuff if someone has something in reasonable working condition, but I can't do anything about known broken

code.

 If someone who knows how to install and operate TheForeman wants to help me, I know quite a bit about Docker and Kubernetes.

#5 - 06/11/2019 01:40 PM - Ondřej Pražák

- Bugzilla link set to 1679776

#6 - 07/16/2019 06:43 AM - Ohad Levy

- Blocked by Feature #27308: add dockerfile to smart proxy added
